[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# Draw

Draws the scaled image to the specified canvas.

## Declaration

Source position: imglist.pp line 202

`procedure TScaledImageListResolution.Draw(`
`ACanvas: TCanvas;`
`AX: Integer;`
`AY: Integer;`
`AIndex: Integer;`
`AEnabled: Boolean = True`
`); overload; procedure TScaledImageListResolution.Draw(`
`ACanvas: TCanvas;`
`AX: Integer;`
`AY: Integer;`
`AIndex: Integer;`
`ADrawEffect: TGraphicsDrawEffect`
`); overload; procedure TScaledImageListResolution.Draw(`
`ACanvas: TCanvas;`
`AX: Integer;`
`AY: Integer;`
`AIndex: Integer;`
`ADrawingStyle: TDrawingStyle;`
`AImageType: TImageType;`
`AEnabled: Boolean = True`
`); overload; procedure TScaledImageListResolution.Draw(`
`ACanvas: TCanvas;`
`AX: Integer;`
`AY: Integer;`
`AIndex: Integer;`
`ADrawingStyle: TDrawingStyle;`
`AImageType: TImageType;`
`ADrawEffect: TGraphicsDrawEffect`
`); overload;`

## Arguments

`ACanvas` |  | Canvas used to render the image.
`AX` |  | Horizontal canvas offset for the rendered image.
`AY` |  | Vertical canvas offset for the rendered image.
`AIndex` |  | Ordinal position for the image rendered in the method.
`AEnabled` |  | Indicates if the image is drawn in the enabled state.

## Arguments

`ACanvas` |  | Canvas used to render the image.
`AX` |  | Horizontal canvas offset for the rendered image.
`AY` |  | Vertical canvas offset for the rendered image.
`AIndex` |  | Ordinal position for the image rendered in the method.
`ADrawEffect` |  | Drawing effect applied to the rendered image.

## Arguments

`ACanvas` |  | Canvas used to render the image.
`AX` |  | Horizontal canvas offset for the rendered image.
`AY` |  | Vertical canvas offset for the rendered image.
`AIndex` |  | Ordinal position for the image rendered in the method.
`ADrawingStyle` |  | Drawing style applied to the rendered image.
`AImageType` |  | Image type for the rendered image.
`AEnabled` |  | Indicates if the image is drawn in the enabled state.

## Arguments

`ACanvas` |  | Canvas used to render the image.
`AX` |  | Horizontal canvas offset for the rendered image.
`AY` |  | Vertical canvas offset for the rendered image.
`AIndex` |  | Ordinal position for the image rendered in the method.
`ADrawingStyle` |  | Drawing style applied to the rendered image.
`AImageType` |  | Image type for the rendered image.
`ADrawEffect` |  | Drawing effect applied to the rendered image.

## See also

TCustomImageListResolution.Draw |  | Renders an image to the specified canvas.